// JavaScript Document
(function($) {
  $('.elvantotools_name').on('hover', function() {
	var name=jQuery(this).attr('name');
	$('.elvantotools_name[name!='+name+']').stop().css({'background-color': ''});
    $('.elvantotools_name[name='+name+']').stop().css({'background-color': 'yellow'});
  });
  $('.elvantotools_go_fullscreen').on('click', function() {
	  if ($(this).hasClass('elvantotools_fullscreen_on')) {
		  $(this).removeClass('elvantotools_fullscreen_on');
		  $('.elvantotools_roster,.elvantotools_songs').removeClass('elvantotools_fullscreen');
	  } else {
		  $(this).addClass('elvantotools_fullscreen_on');
		  $('.elvantotools_roster,.elvantotools_songs').addClass('elvantotools_fullscreen');
	  }
  });	
  $('.elvantotools_play').on('click', function() {
	  if (this.mp3) {
		  if (this.mp3.paused) {
			  this.mp3.play();
		  } else {
			  this.mp3.pause();
		  }
	  } else {
		  this.mp3 = new Audio($(this).attr('href'));
		  this.mp3.play();
	  }
	  return false;
  });
  $('.elvantotools_map_search input, .elvantotools_map_search select').on('change', function () {
	  
  }
})( jQuery );
